Search
curl --request GET \
--url https://api.aisa.one/apis/v1/pinterest/search \
--header 'Authorization: Bearer <token>'{
"success": true,
"pins": [
{
"id": "643874078015272259",
"url": "https://www.pinterest.com/pin/643874078015272259",
"description": "#cute #animal #dog #puppy #pfp #icon #dogpfp #silly #cutepuppy #bordercollie #fyp #trend",
"created_at": "Tue, 10 Jun 2025 21:45:32 +0000",
"pinner": {
"node_id": "VXNlcjo2NDM4NzQyMTUzODQxMzkwMTg=",
"full_name": "Annika Strøm",
"is_ads_only_profile": false,
"username": "annikastrom2",
"image_medium_url": "https://i.pinimg.com/75x75_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
"is_primary_website_verified": false,
"follower_count": 2,
"ads_only_profile_site": null,
"id": "643874215384139018",
"is_verified_merchant": false,
"image_large_url": "https://i.pinimg.com/140x140_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
"verified_identity": {},
"image_small_url": "https://i.pinimg.com/30x30_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg"
},
"images": {
"170x": {
"width": 236,
"height": 312,
"url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"236x": {
"width": 236,
"height": 312,
"url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"474x": {
"width": 474,
"height": 626,
"url": "https://i.pinimg.com/474x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"736x": {
"width": 736,
"height": 973,
"url": "https://i.pinimg.com/736x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"orig": {
"width": 946,
"height": 1251,
"url": "https://i.pinimg.com/originals/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
}
}
}
],
"cursor": "Y2JVSG81V2sxcmNHRlpWM1J5VFVad1ZsWl..."
}Pinterest API
Search
Search
GET
https://api.aisa.one/apis/v1
/
pinterest
/
search
Search
curl --request GET \
--url https://api.aisa.one/apis/v1/pinterest/search \
--header 'Authorization: Bearer <token>'{
"success": true,
"pins": [
{
"id": "643874078015272259",
"url": "https://www.pinterest.com/pin/643874078015272259",
"description": "#cute #animal #dog #puppy #pfp #icon #dogpfp #silly #cutepuppy #bordercollie #fyp #trend",
"created_at": "Tue, 10 Jun 2025 21:45:32 +0000",
"pinner": {
"node_id": "VXNlcjo2NDM4NzQyMTUzODQxMzkwMTg=",
"full_name": "Annika Strøm",
"is_ads_only_profile": false,
"username": "annikastrom2",
"image_medium_url": "https://i.pinimg.com/75x75_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
"is_primary_website_verified": false,
"follower_count": 2,
"ads_only_profile_site": null,
"id": "643874215384139018",
"is_verified_merchant": false,
"image_large_url": "https://i.pinimg.com/140x140_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
"verified_identity": {},
"image_small_url": "https://i.pinimg.com/30x30_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg"
},
"images": {
"170x": {
"width": 236,
"height": 312,
"url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"236x": {
"width": 236,
"height": 312,
"url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"474x": {
"width": 474,
"height": 626,
"url": "https://i.pinimg.com/474x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"736x": {
"width": 736,
"height": 973,
"url": "https://i.pinimg.com/736x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
},
"orig": {
"width": 946,
"height": 1251,
"url": "https://i.pinimg.com/originals/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
}
}
}
],
"cursor": "Y2JVSG81V2sxcmNHRlpWM1J5VFVad1ZsWl..."
}Search Pinterest pins by keyword.
Example
curl "https://api.aisa.one/apis/v1/pinterest/search?query=VALUE" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
AIsa API key. Get yours at https://aisa.one
Query Parameters
Search query
Cursor
Set to true for a trimmed down version of the response
Response
200 - application/json
Successful response
⌘I